;*************************************************
; xy_2.ncl
;*************************************************
load          "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load          "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
;*************************************************
begin
  dataobs  = asciiread("/scratchout/grupos/oceano/rosio.camayo/validation/validate_pesq/d-input/fileo",(/44,2/),"float")
  datamod  = asciiread("/scratchout/grupos/oceano/rosio.camayo/validation/validate_pesq/d-input/fileint",(/44,2/),"float")
  x     = dataobs(:,0)
  y     = new((/2,dimsizes(x)/),float)
  y(0,:)   = dataobs(:,1)
  y(1,:)   = datamod(:,1)
;**************************************************
; create plot
;**************************************************
  wks = gsn_open_wks("ps","buoyvsmodel")        ; Open an ps workstation.

  res                 = True                       ; plot mods desired

  res@tiMainString    = "Buoy vs Model"   ; add titles
  res@tiXAxisString   = "Julian Day "  
  res@tiYAxisString   = "SWH (meters)"
  res@xyMarkLineMode = "MarkLines"    ; Markers *and* lines
  res@xyMarkers      = (/16,16/)    ; markers
  res@xyMarkerColors = (/"blue","red"/)  ; markers colors
  res@xyLineColors   = (/"blue","red"/)
  res@xyMarkerSizeF  = 0.006 
  res@trYMaxF        = 10.
  plot = gsn_csm_xy(wks,x,y,res)               ; Draw an XY plot with 1 curve.


end

