;*************************************************
; xy_2.ncl
;*************************************************
load          "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load          "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
;*************************************************
begin
;  data  = asciiread("/scratchout/grupos/oceano/rosio.camayo/validation/validate_pesq/d-input/d-mod_vs_obs/all/mod_obs_BOIA_SC_20120101_20121004_71",(/267,3/),"float")
  data  = asciiread("/scratchout/grupos/oceano/rosio.camayo/validation/validate_pesq/d-input/d-mod_vs_obs/extreme_events/mod_obs_BOIA_SC_20120419_20120505_00_24",(/357,3/),"float")
  x     = data(:,0)                ; Time in julian day
  y     = new((/3,dimsizes(x)/),float)
  y(0,:)   = data(:,1)             ; Obs Hs
  y(1,:)   = data(:,2)             ; Model Hs  
   
  data2 = asciiread("/scratchout/grupos/oceano/rosio.camayo/validation/validate_pesq/d-input/d-mod_vs_obs/extreme_events/mod_obs_BOIA_SC_20120419_20120505_24_48",(/337,3/),"float")

  x2     = data2(:,0)                ; Time in julian day
  y2     = new((/3,dimsizes(x2)/),float)
  y2(0,:)   = data2(:,1)             ; Obs Hs
  y2(1,:)   = data2(:,2)             ; Model Hs

;**************************************************
; create plot
;**************************************************
  wks = gsn_open_wks("ps","buoyvsmodel_extreme")        ; Open an ps workstation.

  plot = new(2,graphic)
  res                 = True                       ; plot mods desired
; Plot 1 
;  res@tiMainString    = "Buoy vs Model Jan-Oct 2012 Fcst 71Z"   ; add titles
  res@tiXAxisString   = "Julian Day "  
  res@tiYAxisString   = "SWH (meters)"
  res@xyMarkLineMode = "Lines"    ; Markers *and* lines
  res@xyMarkers      = (/16,16/)    ; markers
  res@xyMarkerColors = (/"blue","red"/)  ; markers colors
  res@xyLineColors   = (/"blue","red"/)
  res@xyMarkerSizeF  = 0.008 
  res@trYMaxF        = 10.
  res@gsnYRefLine    = 0  ; Draw horiz line at y=0
  plot(0) = gsn_csm_xy(wks,x,y,res)               ; Draw an XY plot with 1 curve.

; Plot 2   

  plot(1) = gsn_csm_xy(wks,x2,y2,res)
  

end

