;*************************************************
; xy_2.ncl
;*************************************************
load          "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load          "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
;*************************************************
begin
  data  = asciiread("/scratchout/grupos/oceano/rosio.camayo/validation/validate_pesq/d-input/d-mod_vs_obs/all/params_erro_allhours.dat",(/72,11/),"float")
  x      = data(:,0)
  y      = new((/4,dimsizes(x)/),float)
  y(0,:) = data(:,6)             ; BIAS  
  y(1,:) = data(:,7)             ; RMSE  
  y(2,:) = data(:,8)             ; SCATTER INDEX  
  y(3,:) = data(:,9)             ; COEF CORRELATION  
;**************************************************
; create plot
;**************************************************
  wks = gsn_open_wks("ps","rmse")        ; Open an ps workstation.

  res                 = True                       ; plot mods desired

  res@tiMainString    = "Buoy SC vs Model JAN-MAR 2013"   ; add titles
  res@tiXAxisString   = "Forecast hours "  
  res@tiYAxisString   = "BIAS(m)/RMSE(m)/SIndex/CCORR"
  res@xyMarkLineMode = "MarkLines"    ; Markers *and* lines
  res@xyMarkers      = (/16,16,16,16/)    ; markers
  res@xyMarkerColors = (/"blue","red","green","black"/)  ; markers colors
  res@xyLineColors   = (/"blue","red","green","black"/)
  res@xyMarkerSizeF  = 0.006 
  res@trYMaxF        = 1.
  res@gsnYRefLine    = 0  ; Draw horiz line at y=0
  res@pmLegendDisplayMode    = "Always"            ; turn on legend
  res@pmLegendSide           = "Top"               ; Change location of 
  res@pmLegendParallelPosF   = .1                  ; move units right
  res@pmLegendOrthogonalPosF = -0.5                ; move units down
  res@pmLegendWidthF         = 0.10                ; Change width and
  res@pmLegendHeightF        = 0.10                ; height of legend.
  res@lgPerimOn              = False               ; turn off box around
  res@lgLabelFontHeightF     = .01                 ; label font height
  res@xyExplicitLegendLabels = (/"BIAS","RMSE","SIndex","CCORR"/)         ; create explicit labels

  plot = gsn_csm_xy(wks,x,y,res)               ; Draw an XY plot with 1 curve.

end

